"GUID is required for Thunderbird Mail Extensions, including Themes."

    Hallo,

    Ich erstelle momentan ein Theme für Thunderbird, aber wenn ich es auf addons.thunderbird.org hochlade, kommt dieser Fehler.

    Was muss ich tun?


    Danke im Voraus!

  • graba

    Approved the thread.
    • Best Answer

    Für welche Thunderbird-Version (minimal) soll Dein Theme sein? Vermutlich für aktuelle Versionen? Dann kannst Du statt der GUID einfach eine (Deine) eindeutige E-Mail-Adresse verwenden, wenn Du möchtest. Bisher mit GUID hätte das so ausgesehen:


    Code: manifest.json
    "applications": {
    "gecko": {
    "id": "{532269cf-a10e-4396-8613-b5d9a9a516d4}",
    "strict_min_version": "68.0",
    "strict_max_version": "72.0a1"
    }
    },


    In der ID-Zeile kannst Du jetzt einfach folgendes machen:


    Code
    "id": "meineAdresse@example.org",


    Falls Du doch eine GUID nutzen möchtest, kannst Du diese (mit den Optionen "Braces" und "Hypens") erzeugen lassen:

    https://www.guidgenerator.com/

    Danke hat super geklappt :).